cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.ReplFlags

# Documentation

data EnvFlags #

Constructors

EnvFlags |
Fields envPackages :: [Dependency] envIncludeTransitive :: Flag Bool

#### Instances

Instances details

Monoid EnvFlags # |
Instance details Defined in Distribution.Client.ReplFlags Methods mempty :: EnvFlags # mappend :: EnvFlags -> EnvFlags -> EnvFlags # mconcat :: [EnvFlags] -> EnvFlags #
Semigroup EnvFlags # |
Instance details Defined in Distribution.Client.ReplFlags Methods (<>) :: EnvFlags -> EnvFlags -> EnvFlags # sconcat :: NonEmpty EnvFlags -> EnvFlags # stimes :: Integral b => b -> EnvFlags -> EnvFlags #

data ReplFlags #

Constructors

ReplFlags |
Fields configureReplOptions :: ReplOptions replEnvFlags :: EnvFlags replUseMulti :: Flag Bool replKeepTempFiles :: Flag Bool

#### Instances

Instances details

Monoid ReplFlags # |
Instance details Defined in Distribution.Client.ReplFlags Methods mempty :: ReplFlags # mappend :: ReplFlags -> ReplFlags -> ReplFlags # mconcat :: [ReplFlags] -> ReplFlags #
Semigroup ReplFlags # |
Instance details Defined in Distribution.Client.ReplFlags Methods (<>) :: ReplFlags -> ReplFlags -> ReplFlags # sconcat :: NonEmpty ReplFlags -> ReplFlags # stimes :: Integral b => b -> ReplFlags -> ReplFlags #

topReplOptions :: ShowOrParseArgs -> [OptionField ReplFlags] #

multiReplOption :: OptionField (Flag Bool) #

defaultReplFlags :: ReplFlags #